<?php
/**
 * class databaseException
 *
 * Description for class databaseException
 *
 * @author:
*/
namespace core\exception;

class databaseException extends _exception {
	public function __construct($message = null, $code = 0) {
		if(!$message) {
			throw new $this("Unknown ".get_class($this));
		}
		
		parent::__construct("database", $message, $code);
	}
}
?>